#version 330 core

uniform mat4 modelMatrix = mat4(1);
uniform mat4 viewMatrix = mat4(1);
uniform mat4 projectionMatrix = mat4(1);

layout(location=0) in vec2 vertex;
layout(location=1) in vec2 texCoord;
layout(location=2) in vec4 color;

out struct
{
	vec4 color;
	vec2 texCoord;
}fInfo;

vec4 hsv2rgb(vec4);

void main()
{
	fInfo.texCoord = texCoord;
	fInfo.color = color;
	gl_Position = projectionMatrix*modelMatrix*viewMatrix*vec4(vertex, 0, 1);
}